from __future__ import print_function
import json
import numpy as np
from ase.parallel import world
from molkrr.calc import newcalculate, half_L2norm2

gamma = 0.0
nlearn = 400
ntest = 400

seed = world.rank
with open('test.seed{}.txt'.format(seed), 'w') as fd:
    for R0 in np.logspace(np.log10(1e-3), np.log10(1e6)):
        gen = np.random.RandomState(seed)
        descriptorspec = {'scm': R0}
        err = newcalculate(gamma=gamma,
                           descriptorspec=descriptorspec,
                           nlearn=nlearn, ntest=ntest,
                           gen=gen, norm=half_L2norm2)
        params = dict(gamma=gamma, R0=R0,
                      nlearn=nlearn, ntest=ntest,
                      err=err, seed=seed,
                      norm='L2')
        print(json.dumps(params), file=fd)
        fd.flush()
