import json
from optparse import OptionParser
import numpy as np
import matplotlib.pyplot as plt
from glob import glob

fnames = glob('test*seed*.txt')
fnames.sort()

ax = plt.gca()
arrays = {}
for fname in fnames:
    with open(fname) as fd:
        for line in fd:
            data = json.loads(line)
            arrays.setdefault(data['nlearn'], []).append(data['err'])
for k in arrays:
    arrays[k] = np.array(arrays[k])

X = list(arrays.keys())
X.sort()
X = np.array(X)

#print([arrays[x].shape for x in X])
means = np.array([arrays[x].mean() for x in X])
stdevs = np.array([arrays[x].std() for x in X])

ax.errorbar(X, means, yerr=stdevs, marker='o')
ax.set_xscale('log')
#ax.set_yscale('log')
ax.axis(xmin=10) #, ymin=0.4, ymax=1.2)

ax.set_xlabel('training set size')
ax.set_ylabel('mean abs err')

plt.show()
#print(list(arrays.keys()))
        #data = [json.loads(line) for line in fd]
        #keys = list(data[0].keys())
        #for key in keys:
        #    arr = np.array([d[key] for d in data])
        #    arr = arr.reshape(-1, nfold).mean(axis=1)
        #    arrays[key] = arr
if 0:
    xname = 'nlearn'
    yname = 'err'
    ax.semilogx(arrays[xname], np.log(arrays[yname]), 'o-')
    ax.axis(xmin=10, ymax=0.1)

    ax.set_xlabel(xname)
    ax.set_ylabel(yname)

    plt.show()
