from __future__ import print_function
import json
import numpy as np
from ase.parallel import world
from molkrr.calc import calculate

gamma = 0.02
R0 = 4000.0

#nlearn = 400
ntest = 2000
seed = world.rank
gen = np.random.RandomState(seed)

with open('test.N.seed{:02}.txt'.format(seed), 'w') as fd:
    for nlearn in np.logspace(0.0, np.log10(5000)).round().astype(int):
        for i in range(8):
            err = calculate(gamma=gamma, R0=R0,
                            nlearn=nlearn, ntest=ntest,
                            gen=gen)
            params = dict(gamma=gamma, R0=R0,
                          nlearn=nlearn, ntest=ntest,
                          err=err, seed=seed)
            print(json.dumps(params), file=fd)
            fd.flush()
