from __future__ import print_function
import json
import numpy as np
from ase.parallel import world
from molkrr.calc import calculate

gamma = 0.02
R0 = 4000.0

#nlearn = 400
ntest = 2000
seed = world.rank

with open('test.R0_N.seed{:02}.txt'.format(seed), 'w') as fd:
    for R0 in np.logspace(np.log10(1000.0), np.log10(12000.0), 20).round():
        gen = np.random.RandomState(seed)
        for nlearn in np.logspace(np.log10(10.0), np.log10(4000), 20).round().astype(int):
            err = calculate(gamma=gamma, R0=R0,
                            nlearn=nlearn, ntest=ntest,
                            gen=gen)
            params = dict(gamma=gamma, R0=R0,
                          nlearn=nlearn, ntest=ntest,
                          err=err, seed=seed)
            print(json.dumps(params), file=fd)
            fd.flush()
