from __future__ import print_function
import json
import numpy as np
from ase.parallel import world
from molkrr.calc import newcalculate

# variables: gamma, R0, nlearn
gamma = 0.02
#R0 = 2500.0
nlearn = 600
ntest = 300
#G0 = 1.0

#G_exps = list(np.linspace(-2, 0, 2))
#G_exps1 = list(np.linspace(2.0, 5.0, 20, endpoint=False))

#dspec = {'scm': R0,
#         'orca-pbe0.homolumogap': G0}

seed = world.rank
with open('test.seed{}.txt'.format(seed), 'w') as fd:
    for R0 in np.logspace(np.log10(100.0), np.log10(1e6), 24).round():
    #for R0 in [2500.]:
        for G0 in np.logspace(np.log10(1e-3), np.log10(1e6), 24):
            gen = np.random.RandomState(seed)
            descriptorspec = {'scm': R0,
                              'orca-pbe0.gs.homolumogap': G0}

            err = newcalculate(gamma=gamma,
                               descriptorspec=descriptorspec,
                               nlearn=nlearn, ntest=ntest,
                               gen=gen)
            params = dict(gamma=gamma, R0=R0,
                          sigma_homolumo=G0,
                          nlearn=nlearn, ntest=ntest,
                          seed=seed)
            print(json.dumps(params), file=fd)
            fd.flush()
