from __future__ import print_function
import json
import numpy as np
from ase.parallel import world
from molkrr.calc import calculate

# variables: gamma, R0, nlearn
#gamma = 0.0
#R0 = 2500.0
nlearn = 400
ntest = 400

seed = world.rank

gamma_exps = list(np.linspace(-3, 0, 16))
R_exps1 = list(np.linspace(2.0, 5.0, 20, endpoint=False))
R_exps2 = list(np.linspace(5.0, 17.0, 7))
R_exps = R_exps1 + R_exps2

with open('test.gamma-R0.seed{:02d}.txt'.format(seed), 'w') as fd:
    #part1 = list(np.linspace(1.0, 5.0, 50, endpoint=False))
    #part2 = list(np.linspace(5.0, 17.0, 50))
    #for R0_exp in part1 + part2:
    #for gamma in np.linspace(-2., 20., 100):
    for gamma_exp in gamma_exps:
        for R0_exp in R_exps:
            R0 = 10.0**R0_exp
            #R0 = 1e20
            gamma = 10.0**gamma_exp
            gen = np.random.RandomState(seed)
            try:
                err = calculate(gamma=gamma, R0=R0,
                                nlearn=nlearn, ntest=ntest,
                                gen=gen)
            except np.linalg.LinAlgError:
                err = -1.0
            params = dict(gamma=gamma, R0=R0,
                          nlearn=nlearn, ntest=ntest,
                          err=err, seed=seed)
            print(json.dumps(params), file=fd)
            fd.flush()

