import json
from optparse import OptionParser
import numpy as np
import matplotlib.pyplot as plt
from glob import glob

fnames = glob('test.gamma*.txt')
fnames.sort()

for fname in fnames:
    arrays = {}
    ax = plt.gca()
    with open(fname) as fd:
        data = [json.loads(line) for line in fd]
        keys = list(data[0].keys())
        for key in keys:
            arrays[key] = np.array([d[key] for d in data])

    xname = 'gamma'
    yname = 'err'
    ax.plot(arrays[xname], arrays[yname], 'o-')

    ax.set_xlabel(xname)
    ax.set_ylabel(yname)

plt.show()
