from __future__ import print_function
import json
import numpy as np
from ase.parallel import world
from molkrr.calc import calculate

# variables: gamma, R0, nlearn
#gamma = 0.0
R0 = 2500.0
nlearn = 400
ntest = 400

seed = world.rank
with open('test.gamma.seed{}.txt'.format(seed), 'w') as fd:
    #part1 = list(np.linspace(1.0, 5.0, 50, endpoint=False))
    #part2 = list(np.linspace(5.0, 17.0, 50))
    #for R0_exp in part1 + part2:
    for gamma in np.linspace(-2., 20., 100):
        #R0 = 10.0**R0_exp
        gen = np.random.RandomState(seed)
        err = calculate(gamma=gamma, R0=R0,
                        nlearn=nlearn, ntest=ntest,
                        gen=gen)
        params = dict(gamma=gamma, R0=R0,
                      nlearn=nlearn, ntest=ntest,
                      err=err, seed=seed)
        print(json.dumps(params), file=fd)
        fd.flush()

